extends Button

func _pressed():
	
	var URL = "https://tehnokom.su/api/v1.1/registrado/"
	
	var headers = ["Content-Type: application/json"]
	
	var password = $'../your_password'.text
	var login = $'../your_login'.text

	Global.login = login
	
	var my_password = '"'+password+'"'
	var my_login = '"'+login+'"'
	
	var json_query = {"query":"mutation { ensaluti(login:"+my_login+", password: "+my_password+"){status, token, message,csrfToken} }"}
	var post_request = JSON.print(json_query)
	
	$HTTPRequest.request(URL, headers, false, 2, post_request)


#func _on_Button_pressed():
#	get_tree().change_scene('res://blokoj/kosmostacio/Kosmostacio.tscn')
	
